using System.Text.Json.Serialization;

namespace WmsMobileServe.ApiServe.Mobile.Dto;

/// <summary>
/// Mes 返回的物料信息
/// </summary>
public class GetGoodsDetailResp
{
    /// <summary>
    /// 箱号
    /// </summary>
    [JsonPropertyName("boxNo")]
    public string? BoxNo { get; set; }

    /// <summary>
    /// 每包数量
    /// </summary>
    [JsonPropertyName("numPerBox")]
    public decimal? NumPerBox { get; set; }

    /// <summary>
    /// 包装数量
    /// </summary>
    [JsonPropertyName("goodsNum")]
    public decimal? GoodsNum { get; set; }

    /// <summary>
    /// 包数量
    /// </summary>
    [JsonPropertyName("picketNum")]
    public decimal? PacketNum { get; set; }

    /// <summary>
    /// 零包数量
    /// </summary>
    [JsonPropertyName("otherNum")]
    public decimal? OtherNum { get; set; }

    /// <summary>
    /// 产品编码
    /// </summary>
    [JsonPropertyName("goodsId")]
    public string? GoodsId { get; set; }

    /// <summary>
    /// 销售订单
    /// </summary>
    [JsonPropertyName("saleOrderNo")]
    public string? SaleOrderNo { get; set; }

    /// <summary>
    /// 包装层级
    /// </summary>
    [JsonPropertyName("packetLevel")]
    public string? PacketLevel { get; set; }

    /// <summary>
    /// 周期
    /// </summary>
    [JsonPropertyName("cycle")]
    public string? Cycle { get; set; }

    /// <summary>
    /// 客户销售订单
    /// </summary>
    [JsonPropertyName("customSaleOrderNo")]
    public string? CustomSaleOrderNo { get; set; }

    /// <summary>
    /// 字库
    /// </summary>
    [JsonPropertyName("minorWarehouseId")]
    public string? MinorWarehouseId { get; set; }

    /// <summary>
    /// 产品描述
    /// </summary>
    [JsonPropertyName("goodsDesc")]
    public string? GoodsDesc { get; set; }
}
